summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nishant Limbachia2010-07-30 10:18:38 +0200
committer Erik Hanson2010-08-01 05:31:51 +0200
commit46aed99b456aeea560b9068199af8364b6918dc6 (patch)
tree6abf63f55d215824d03341881f132a33c4af5938
parent8505e7d1d37f293ffe95493eeca2d7c31cb0db9f (diff)
downloadslackbuilds-46aed99b456aeea560b9068199af8364b6918dc6.tar.gz
graphics/simple-scan: Added (simple scanning utility)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--graphics/simple-scan/README4
-rw-r--r--graphics/simple-scan/doinst.sh23
-rw-r--r--graphics/simple-scan/simple-scan.SlackBuild102
-rw-r--r--graphics/simple-scan/simple-scan.info10
-rw-r--r--graphics/simple-scan/slack-desc19
5 files changed, 158 insertions, 0 deletions
diff --git a/graphics/simple-scan/README b/graphics/simple-scan/README
new file mode 100644
index 0000000000..b3a6abe99c
--- /dev/null
+++ b/graphics/simple-scan/README
@@ -0,0 +1,4 @@
+simple-scan is a simple scanning utility designed to be less
+overwhelming than xsane for casual/occasional scanning jobs.
+
+This requires GConf.
diff --git a/graphics/simple-scan/doinst.sh b/graphics/simple-scan/doinst.sh
new file mode 100644
index 0000000000..e123fd7296
--- /dev/null
+++ b/graphics/simple-scan/doinst.sh
@@ -0,0 +1,23 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+
diff --git a/graphics/simple-scan/simple-scan.SlackBuild b/graphics/simple-scan/simple-scan.SlackBuild
new file mode 100644
index 0000000000..06ebf51025
--- /dev/null
+++ b/graphics/simple-scan/simple-scan.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware Package Build Script for simple-scan
+# Home Page https://launchpad.net/simple-scan
+
+# Copyright (c) 2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=simple-scan
+VERSION=${VERSION:-2.31.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-scrollkeeper \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+for i in $PKG/etc/gconf/schemas/* ; do
+ echo "schema_install $(basename $i)" >> $PKG/install/doinst.sh
+done
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/simple-scan/simple-scan.info b/graphics/simple-scan/simple-scan.info
new file mode 100644
index 0000000000..7470a7c879
--- /dev/null
+++ b/graphics/simple-scan/simple-scan.info
@@ -0,0 +1,10 @@
+PRGNAM="simple-scan"
+VERSION="2.31.1"
+HOMEPAGE="https://launchpad.net/simple-scan"
+DOWNLOAD="http://launchpad.net/simple-scan/trunk/2.31.1/+download/simple-scan-2.31.1.tar.gz"
+MD5SUM="6e37cf889ce147e22a9130348c2e929d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="rworkman"
diff --git a/graphics/simple-scan/slack-desc b/graphics/simple-scan/slack-desc
new file mode 100644
index 0000000000..246b70bbe8
--- /dev/null
+++ b/graphics/simple-scan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+simple-scan: simple-scan (simple scanning utility)
+simple-scan:
+simple-scan: simple-scan is a simple scanning utility without
+simple-scan: the overwhelming options of xsane.
+simple-scan:
+simple-scan: Homepage: https://launchpad.net/simple-scan
+simple-scan:
+simple-scan:
+simple-scan:
+simple-scan:
+simple-scan: